Drop a database
|
Terminating a database permanently deletes all of its data, including automatic backups. You cannot undo this action. |
Deletes a database and erases all data stored in it.
|
You need an application token with permission to create and configure databases, such as the Organization Administrator role. For more information, see Get endpoint and token. |
Result
-
Python
-
TypeScript
-
Java
-
C#
-
curl
Deletes the specified database and erases all data stored in the database.
Returns None upon successful completion.
Deletes the specified database and erases all data stored in the database.
Returns a promise that resolves once the operation completes.
Deletes the specified database and erases all data stored in the database.
Returns a Boolean indicating whether the database was successfully deleted.
Deletes the specified database and erases all data stored in the database.
Does not return anything.
Deletes the specified database and erases all data stored in the database.
Returns 202 Accepted, indicating that the database deletion has been initiated.
The database isn’t instantly deleted, and the termination process can take some time. To monitor the termination process, you can check the database status in the Astra Portal.
Parameters
-
Python
-
TypeScript
-
Java
-
C#
-
curl
Use the drop_database method, which belongs to the AstraDBAdmin class.
Method signature
drop_database(
id: str,
*,
wait_until_active: bool,
database_admin_timeout_ms: int,
request_timeout_ms: int,
timeout_ms: int,
) -> None
| Name | Type | Summary |
|---|---|---|
|
|
The ID of the database to drop. |
|
|
Optional. Whether to wait for the database to be fully deleted before returning. If false, the method returns immediately after issuing the deletion request. Default: true |
|
|
Optional.
A timeout, in milliseconds, to impose on the underlying API request.
If not provided, the This parameter is aliased as |
Use the dropDatabase method, which belongs to the AstraAdmin class.
Method signature
async dropDatabase(
db: Db | string,
options?: {
blocking?: boolean,
timeout?: number | TimeoutDescriptor,
}
): void;
| Name | Type | Summary |
|---|---|---|
|
|
The ID of the target database, or a corresponding |
|
|
Optional.
The options for this operation.
See Properties of |
| Name | Type | Summary |
|---|---|---|
|
|
Optional. Whether to wait for the database to be fully deleted before returning. If false, the method returns immediately after issuing the deletion request. Default: true |
|
|
Optional. A timeout to impose on the underlying API request. |
Use the dropDatabase method, which belongs to the com.datastax.astra.client.admin.AstraDBAdmin class.
Method signature
boolean dropDatabase(UUID databaseId);
boolean dropDatabase(String databaseName);
| Name | Type | Summary |
|---|---|---|
|
|
The ID of the database to delete. |
|
|
The name of the database to delete. |
Use the DropDatabaseAsync method, which belongs to the AstraDatabasesAdmin class.
You can also use DropDatabase, which is the synchronous version of the method.
Method signature
public Task DropDatabaseAsync(
string dbGuid, DropDatabaseOptions options = null
);
| Name | Type | Summary |
|---|---|---|
|
|
The ID of the database to delete. |
|
Optional.
Options for this operation.
For more information and examples for general options such as timeout, see Customize API interaction.
For options specific to this method, see Method-specific properties of the |
| Name | Type | Summary |
|---|---|---|
|
|
Optional. Whether to wait for the database to be fully deleted before returning. If false, the method returns immediately after issuing the deletion request. Default: true |
Use the DevOps API to delete a database. This operation is a POST request with no body.
The application token must have sufficient permissions to perform the requested operations, such as the Organization Administrator role.
Command signature
curl -sS -L -X POST "https://api.astra.datastax.com/v2/databases/DATABASE_ID/terminate" \
--header "Authorization: Bearer APPLICATION_TOKEN" \
--header "Content-Type: application/json"
Examples
The following examples demonstrate how to drop a database.
-
Python
-
TypeScript
-
Java
-
C#
-
curl
from astrapy import DataAPIClient
client = DataAPIClient("APPLICATION_TOKEN")
admin = client.get_admin()
admin.drop_database("DATABASE_ID")
import { DataAPIClient } from "@datastax/astra-db-ts";
const client = new DataAPIClient("APPLICATION_TOKEN");
const admin = client.admin();
(async function () {
await admin.dropDatabase("DATABASE_ID");
})();
import com.datastax.astra.client.DataAPIClient;
import com.datastax.astra.client.admin.AstraDBAdmin;
import java.util.UUID;
public class Example {
public static void main(String[] args) {
DataAPIClient client = new DataAPIClient("APPLICATION_TOKEN");
AstraDBAdmin admin = client.getAdmin();
admin.dropDatabase(UUID.fromString("DATABASE_ID"));
}
}
using DataStax.AstraDB.DataApi;
namespace Examples;
public class Program
{
static async Task Main()
{
var client = new DataAPIClient("APPLICATION_TOKEN");
var admin = client.GetAstraDatabasesAdmin();
await admin.DropDatabaseAsync("DATABASE_ID");
}
}
curl -sS -L -X POST "https://api.astra.datastax.com/v2/databases/DATABASE_ID/terminate" \
--header "Authorization: Bearer APPLICATION_TOKEN" \
--header "Content-Type: application/json"
Client reference
-
Python
-
TypeScript
-
Java
-
C#
-
curl
For more information, see the client reference.
For more information, see the client reference.
For more information, see the client reference.
For more information, see the client reference.
Client reference documentation is not applicable for HTTP.